Skip to main content
PUT
/
custom-fields
/
{customfieldId}
Update custom field by ID
curl --request PUT \
  --url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/custom-fields/{customfieldId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "some string",
  "position": 0,
  "permission": "1,2,3",
  "is_active": true,
  "object": "customer",
  "can_customer_view": true,
  "field_widget_id": 1,
  "settings": {
    "field_instance_id": 1,
    "allowed_values": [
      "value_1",
      "value_2"
    ],
    "default_value": "value_1"
  }
}
'
import requests

url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/custom-fields/{customfieldId}"

payload = {
"name": "some string",
"position": 0,
"permission": "1,2,3",
"is_active": True,
"object": "customer",
"can_customer_view": True,
"field_widget_id": 1,
"settings": {
"field_instance_id": 1,
"allowed_values": ["value_1", "value_2"],
"default_value": "value_1"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'some string',
position: 0,
permission: '1,2,3',
is_active: true,
object: 'customer',
can_customer_view: true,
field_widget_id: 1,
settings: {
field_instance_id: 1,
allowed_values: ['value_1', 'value_2'],
default_value: 'value_1'
}
})
};

fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/custom-fields/{customfieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));

Authorizations

x-api-key
string
header
required

Path Parameters

customfieldId
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

Successful response